Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -14071,12 +13934,12 @@
 #ifdef ISOVERIF
         do i=1,knon
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
                         'calcul_iso_surf_sic 248',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
-              if (iso_HDO.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
+              if (iso_HDO.gt.0) THEN
                    CALL iso_verif_aberrant_choix(xtevap(iso_HDO,i),evap(i), &
                         ridicule_evap,deltalim_snow,'calcul_iso_surf_sic 257_evap')
-              endif !if (iso_eau.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_tracnps(xtevap(1,i), &
@@ -14084,5 +13947,5 @@
 #endif              
            enddo  
-!        write(*,*) 'calcul_iso_surf_sic 507: sortie'    
+!        WRITE(*,*) 'calcul_iso_surf_sic 507: sortie'
 #endif   
            ! end verif
@@ -14168,5 +14031,5 @@
 
 #ifdef ISOVERIF
-        write(*,*) 'calcul_iso_surf_lic 306'
+        WRITE(*,*) 'calcul_iso_surf_lic 306'
         do i=1,knon
          do ixt=1,ntraciso
@@ -14201,5 +14064,5 @@
         enddo !do ixt=1,niso
 #endif        
-        if (precip_snow(i).gt.ridicule) then
+        if (precip_snow(i).gt.ridicule) THEN
            do ixt=1,niso
               Rland_ice(ixt,i)=(h_land_ice*Rland_ice(ixt,i) &
@@ -14213,33 +14076,32 @@
         ! vérifier que Rland_ice a bien été modifié. A l'état initiale,
             ! Rland_ice vaut -150 permil pour le deltaD
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         do i=1,knon        
-        if (precip_snow(i).gt.1e-5) then
+        if (precip_snow(i).gt.1e-5) THEN
            if (abs(deltaD(xtprecip_snow(iso_hdo,i)/precip_snow(i)) &
-                         +150).gt.5.0) then
+                         +150).gt.5.0) THEN
            if (iso_verif_positif_strict_nostop &
                  (abs(deltaD(Rland_ice(iso_hdo,i))+150.0)  &
-               -1e-6,'calcul_iso_surf_lic 565').eq.1) then
-              write(*,*) 'calcul_iso_surf_lic 575 tmp: i=',i
-              write(*,*) 'h_land_ice,precip_snow(i)*dtime=' , &
+               -1e-6,'calcul_iso_surf_lic 565').eq.1) THEN
+              WRITE(*,*) 'calcul_iso_surf_lic 575 tmp: i=',i
+              WRITE(*,*) 'h_land_ice,precip_snow(i)*dtime=' , &
                    h_land_ice,precip_snow(i)*dtime
-              write(*,*) 'deltaDsnow=',deltaD(xtprecip_snow(iso_hdo,i) &
+              WRITE(*,*) 'deltaDsnow=',deltaD(xtprecip_snow(iso_hdo,i) &
                          /precip_snow(i))
-              write(*,*) 'deltaDland_ice=',deltaD(Rland_ice(iso_hdo,i))
-              write(*,*) 'deltaDland_ice_prec=',deltaD( &
+              WRITE(*,*) 'deltaDland_ice=',deltaD(Rland_ice(iso_hdo,i))
+              WRITE(*,*) 'deltaDland_ice_prec=',deltaD( &
                  Rland_ice_prec(iso_hdo,i))
 !             stop
            endif
            endif
-        endif !if (precip_snow(i).gt.0.0) then        
+        endif !if (precip_snow(i).gt.0.0) THEN
         enddo !do i=1,knon
-        endif !if (iso_HDO.gt.0) then
-            
+        endif !if (iso_HDO.gt.0) THEN
         do i=1,knon
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtsnow(iso_eau,i),snow(i),  &
                'calcul_iso_surf_lic_vectall 587a',errmax,errmaxrel)
         endif
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
           CALL iso_verif_aberrant_choix(xtsnow(iso_HDO,i), &
                      snow(i),ridicule_snow,deltalim_snow, &
@@ -14260,6 +14122,6 @@
          ncas_rosee=0
          do i=1,knon
-!          if (evap(i).gt.0.0) then
-           if (sol_evap(i).gt.0.0) then
+!          if (evap(i).gt.0.0) THEN
+           if (sol_evap(i).gt.0.0) THEN
                ! modif le 2 octobre 2008: c'est le signe de sol_evap qui
                ! doit être important ici
@@ -14269,6 +14131,6 @@
            trace_cas(i)=1
 #endif
-!          else if (evap(i).eq.0.0) then
-           else if (sol_evap(i).eq.0.0) then
+!          else if (evap(i).eq.0.0) THEN
+           else if (sol_evap(i).eq.0.0) THEN
            ncas_noevap=ncas_noevap+1
            cas_noevap(ncas_noevap)=i
@@ -14291,8 +14153,8 @@
               
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(Rland_ice(iso_eau,i),1.0, &
                         'calcul_iso_surf_lic 740',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then  
+              endif !if (iso_eau.gt.0) THEN
 #endif
           do ixt=1,niso       
@@ -14301,5 +14163,5 @@
 
 #ifdef ISOTRAC
-        if (option_traceurs.eq.20) then
+        if (option_traceurs.eq.20) THEN
             izone_recoit=bassin_map(knindex(i))
         else
@@ -14308,5 +14170,5 @@
 
         do ixt=niso+1,ntraciso
-            if (index_zone(ixt).eq.izone_recoit) then
+            if (index_zone(ixt).eq.izone_recoit) THEN
                xtsol_evap(ixt,i)=xtsol_evap(index_iso(ixt),i)
             else
@@ -14317,9 +14179,9 @@
 
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(sol_evap(i), &
                  xtsol_evap(iso_eau,i), &
                  'calcul_iso_surf_lic 365',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then  
+              endif !if (iso_eau.gt.0) THEN
 #endif 
 
@@ -14340,6 +14202,6 @@
           i=cas_rosee(icas)        
         ! evap<0 -> on condense.
-        !write(*,*) 'calcul_iso_surf_oce 3176: on condense: evap(i)=',evap(i)
-!        write(*,*) 'calcul_iso_surf_lic 391: dtime=',dtime
+        !WRITE(*,*) 'calcul_iso_surf_oce 3176: on condense: evap(i)=',evap(i)
+!        WRITE(*,*) 'calcul_iso_surf_lic 391: dtime=',dtime
 !          Mair=100*100/9.8
           CALL iso_rosee_givre(xt1lay,q1lay,tsurf,t_coup,sol_evap,i, &
@@ -14347,14 +14209,14 @@
 
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(sol_evap(i), &
                  xtsol_evap(iso_eau,i), &
                  'calcul_iso_surf_lic 365',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
-              if (iso_HDO.gt.0) then 
+              endif !if (iso_eau.gt.0) THEN
+              if (iso_HDO.gt.0) THEN
                   CALL iso_verif_aberrant_choix(-xtsol_evap(iso_hdo,i), &
                    -sol_evap(i),ridicule_evap,deltalim, &
                     'calcul_iso_surf_lic 747')
-              endif !if (iso_eau.gt.0) then  
+              endif !if (iso_eau.gt.0) THEN
 #endif   
         enddo  !do icas=1,ncas_rosee
@@ -14373,8 +14235,8 @@
 !         enddo !do ixt=1,niso
 !#ifdef ISOVERIF
-!        if (iso_eau.gt.0) then  
+!        if (iso_eau.gt.0) THEN
 !         if ((j.eq.291).or.(j.eq.231).or.(j.eq.418).or. &
-!     &                 (j.eq.38).or.(j.eq.60)) then
-!           write(*,*) 'calcul_iso_surf 776 tmp& i,j,klon,knon,', &
+!     &                 (j.eq.38).or.(j.eq.60)) THEN
+!           WRITE(*,*) 'calcul_iso_surf 776 tmp& i,j,klon,knon,', &
 !     &           'run_off_lic_0,xt=',i,j,klon,knon,       &
 !     &           run_off_lic_0(j),xtrun_off_lic_0(iso_eau,j)
@@ -14387,11 +14249,11 @@
 #ifdef ISOVERIF
         do i=1,knon
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(evap(i),xtevap(iso_eau,i), &
                         'calcul_iso_surf_lic 361',errmax,errmaxrel)
                  CALL iso_verif_egalite_choix(snow(i),xtsnow(iso_eau,i), &
                         'calcul_iso_surf_lic 363',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
-              if (iso_HDO.gt.0) then   
+              endif !if (iso_eau.gt.0) THEN
+              if (iso_HDO.gt.0) THEN
                 CALL iso_verif_aberrant_choix(xtsnow(iso_HDO,i), &
                      snow(i),ridicule_snow,deltalim_snow, &
@@ -14399,5 +14261,5 @@
                 CALL iso_verif_aberrant_choix(xtevap(iso_HDO,i),evap(i), &
                         ridicule_evap,deltalim_snow, 'calcul_iso_surf_lic 369')
-              endif !if (iso_eau.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_tracnps(xtevap(1,i), &
@@ -14405,14 +14267,14 @@
 #endif               
           enddo !do i=1,knon 
-!          if (iso_eau.gt.0) then  
+!          if (iso_eau.gt.0) THEN
 !            do i=1,klon 
 !             if (iso_verif_egalite_choix_nostop(run_off_lic_0(i), &
 !     &         xtrun_off_lic_0(iso_eau,i),'calcul_iso_surf_lic 783', &
-!     &         errmax,errmaxrel).eq.1) then
-!               write(*,*) 'i,knon,klon=',i,knon,klon
+!     &         errmax,errmaxrel).eq.1) THEN
+!               WRITE(*,*) 'i,knon,klon=',i,knon,klon
 !               stop
 !             endif
 !            enddo !do i=1,klon 
-!          endif ! if (iso_eau.gt.0) then 
+!          endif ! if (iso_eau.gt.0) THEN
 ! déjà vérifié dans gestion_neige
 #endif
@@ -14571,7 +14433,7 @@
 
 #ifdef ISOVERIF   
-!      write(*,*) 'calcul_iso_surf_ter 494'
+!      WRITE(*,*) 'calcul_iso_surf_ter 494'
       do i=1,knon         
-        if (iso_eau.gt.0) then  
+        if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix( &
                      xtsnow_prec(iso_eau,i), &
@@ -14582,5 +14444,5 @@
                      precip_snow(i),'calcul_iso_surf_ter 1023', &
                      errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
          do ixt=1,ntraciso
            CALL iso_verif_noNaN(xtprecip_snow(ixt,i), &
@@ -14619,7 +14481,7 @@
 #endif      
 #ifdef ISOVERIF
-!        write(*,*) 'calcul_iso_surf_ter 910'
+!        WRITE(*,*) 'calcul_iso_surf_ter 910'
         do i=1,knon
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(qsol_prec(i), &
                 xtsol_prec(iso_eau,i),'calcul_iso_surf_ter 504', &
@@ -14630,17 +14492,17 @@
                      errmax,errmaxrel)
           endif          
-          if (iso_HDO.gt.0) then
-           if (qsol_prec(i).gt.ridicule_qsol*1e2) then
+          if (iso_HDO.gt.0) THEN
+           if (qsol_prec(i).gt.ridicule_qsol*1e2) THEN
             CALL iso_verif_aberrant(xtsol_prec(iso_HDO,i)/ &
                   qsol_prec(i)/faccond,'calcul_iso_surf_ter 506')
            endif  !if (qsol_prec(i).gt.ridicule_qsol) 
-          endif !if (iso_eau.gt.0) then
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-            if (qsol_prec(i).gt.ridicule_qsol) then
+          endif !if (iso_eau.gt.0) THEN
+          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            if (qsol_prec(i).gt.ridicule_qsol) THEN
               CALL iso_verif_aberrant_o17(xtsol_prec(iso_O17,i) &
                  /qsol_prec(i),xtsol_prec(iso_O18,i) &
                  /qsol_prec(i),'iso_surf_ter 1035')
             endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
        enddo !do i=1,knon
 #endif
@@ -14672,5 +14534,5 @@
         CALL iso_verif_positif(max_eau_sol-qsol_prec(i), &
                  'calcul_iso_surf_ter 882')
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_positif(xtprecip_rain(iso_eau,i), &
                  'calcul_iso_surf_ter 655b')
@@ -14679,15 +14541,15 @@
       enddo !do i=1,knon    
               
-        !write(*,*) 'surf_ter 14041'
-        if (ruissellement_pluie.eq.1) then   
+        !WRITE(*,*) 'surf_ter 14041'
+        if (ruissellement_pluie.eq.1) THEN
           do i=1,knon
              ! c'est la pluie que l'on fait ruisseller
-!             write(*,*) ''
-!             write(*,*) 'calcul_iso_surf_ter 676, tmp:'
-!             write(*,*) 'qsol,qsol_prec',qsol(i),qsol_prec(i)
-!             write(*,*) 'precip_rain*dtime=',precip_rain(i)*dtime
-!             write(*,*) 'sol_evap*dtime=',sol_evap(i)*dtime
-!             write(*,*) 'fq_fonte_neige=',fq_fonte_neige(i)
-!             write(*,*) 'max_eau_sol=',max_eau_sol
+!             WRITE(*,*) ''
+!             WRITE(*,*) 'calcul_iso_surf_ter 676, tmp:'
+!             WRITE(*,*) 'qsol,qsol_prec',qsol(i),qsol_prec(i)
+!             WRITE(*,*) 'precip_rain*dtime=',precip_rain(i)*dtime
+!             WRITE(*,*) 'sol_evap*dtime=',sol_evap(i)*dtime
+!             WRITE(*,*) 'fq_fonte_neige=',fq_fonte_neige(i)
+!             WRITE(*,*) 'max_eau_sol=',max_eau_sol
              do ixt=1,niso
                xtrun_off(ixt,i)=0.0               
@@ -14696,5 +14558,5 @@
              if (qsol_prec(i) &
                  +(precip_rain(i)-sol_evap(i))*dtime &
-                 +fq_fonte_neige(i).gt.max_eau_sol) then
+                 +fq_fonte_neige(i).gt.max_eau_sol) THEN
                 ! ça déborde
                 ! on réduit l'infiltration de la pluie:
@@ -14702,5 +14564,5 @@
                   +(max_eau_sol-qsol_prec(i)-fq_fonte_neige(i))/dtime, &
                    precip_rain(i))
-                if (precip_rain_eff(i).lt.0.0) then
+                if (precip_rain_eff(i).lt.0.0) THEN
                        ! ça déborderait même sans pluie
                     ! on réduit donc la fonte
@@ -14708,5 +14570,5 @@
                     fq_fonte_neige_eff(i)=min(sol_evap(i)*dtime &
                          +max_eau_sol-qsol_prec(i),fq_fonte_neige(i))
-                    if (fq_fonte_neige_eff(i).lt.0.0) then
+                    if (fq_fonte_neige_eff(i).lt.0.0) THEN
                       ! ca déborderait même sans precip ni fonte car il
                       ! y a de la rosée
@@ -14717,19 +14579,19 @@
                       fq_fonte_neige_eff(i)=0.0
                       sol_evap_eff(i)=(qsol_prec(i)-max_eau_sol)/dtime
-                    endif !if (fq_fonte_neige_eff(i).lt.0.0) then   
-                  endif !if (precip_rain_eff(i).lt.0.0) then      
+                    endif !if (fq_fonte_neige_eff(i).lt.0.0) THEN
+                  endif !if (precip_rain_eff(i).lt.0.0) THEN
             endif !if (qsol_prec(i)
 
 #ifdef ISOVERIF    
-!            write(*,*) 'calcul_iso_surf_ter 706 tmp:'     
-!            write(*,*) 'precip_rain_eff(i)*dtime=',
+!            WRITE(*,*) 'calcul_iso_surf_ter 706 tmp:'
+!            WRITE(*,*) 'precip_rain_eff(i)*dtime=',
 !     :           precip_rain_eff(i)*dtime
-!            write(*,*) 'fq_fonte_neige_eff(i)*dtime=',
+!            WRITE(*,*) 'fq_fonte_neige_eff(i)*dtime=',
 !     :           fq_fonte_neige_eff(i)*dtime
-!            write(*,*) 'sol_evap(i)*dtime=',    
+!            WRITE(*,*) 'sol_evap(i)*dtime=',
 !     :           sol_evap(i)*dtime
-!            write(*,*) 'sol_evap_eff(i)*dtime=',    
+!            WRITE(*,*) 'sol_evap_eff(i)*dtime=',
 !     :           sol_evap_eff(i)*dtime
-!            write(*,*) 'max_eau_sol,qsol_prec(i)=',    
+!            WRITE(*,*) 'max_eau_sol,qsol_prec(i)=',
 !     :           max_eau_sol,qsol_prec(i)
             CALL iso_verif_positif_choix(max_eau_sol- &
@@ -14743,5 +14605,5 @@
             CALL iso_verif_positif((precip_rain_eff(i)), &
                  'calcul iso_surf_ter 703')
-            if (sol_evap(i).ge.0.0) then
+            if (sol_evap(i).ge.0.0) THEN
                 CALL iso_verif_egalite_choix( &
                    sol_evap(i), &
@@ -14752,25 +14614,25 @@
             ! pour les isostopes:
             if (abs(precip_rain(i)-precip_rain_eff(i)) &
-                 .gt.ridicule*1e-2) then
+                 .gt.ridicule*1e-2) THEN
              ! *  pour precip_rain_eff:            
-             if (precip_rain_eff(i).gt.ridicule_rain) then 
-               if (precip_rain(i).gt.ridicule_rain) then 
+             if (precip_rain_eff(i).gt.ridicule_rain) THEN
+               if (precip_rain(i).gt.ridicule_rain) THEN
                 do ixt=1,niso
                   xtprecip_rain_eff(ixt,i)=xtprecip_rain(ixt,i) &
                          /precip_rain(i)*precip_rain_eff(i)
                 enddo 
-               else !if (precip_rain(i).gt.ridicule_rain) then 
-                  write(*,*) 'calcul_iso_surf_ter 723'
+               else !if (precip_rain(i).gt.ridicule_rain) THEN
+                  WRITE(*,*) 'calcul_iso_surf_ter 723'
                   stop
-               endif !if (precip_rain(i).gt.ridicule_rain) then 
-             else !if (precip_rain_eff(i).gt.ridicule_rain) then 
+               endif !if (precip_rain(i).gt.ridicule_rain) THEN
+             else !if (precip_rain_eff(i).gt.ridicule_rain) THEN
                 do ixt=1,niso
                   xtprecip_rain_eff(ixt,i)=0.0
                 enddo
                 if ((bidouille_anti_divergence).and. &
-                 (iso_eau.gt.0))  then
+                 (iso_eau.gt.0))  THEN
                   xtprecip_rain_eff(iso_eau,i)=precip_rain_eff(i)
                 endif
-             endif !if (precip_rain_eff(i).gt.ridicule_rain) then 
+             endif !if (precip_rain_eff(i).gt.ridicule_rain) THEN
              runoff_tmp(i)=runoff_tmp(i) &
                  +(precip_rain(i)-precip_rain_eff(i))*dtime
@@ -14779,33 +14641,32 @@
                   +(xtprecip_rain(ixt,i)-xtprecip_rain_eff(ixt,i))*dtime
              enddo
-            endif !if (abs(precip_rain(i)-precip_rain_eff(i)).gt.ridicule) then
-           
+            endif !if (abs(precip_rain(i)-precip_rain_eff(i)).gt.ridicule) THEN
 #ifdef ISOVERIF            
-            if (iso_eau.gt.0) then  
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix( &
                  runoff_tmp(i),xtrun_off(iso_eau,i), &
                  'calcul_iso_surf_ter 1142', &
                  errmax,errmaxrel)
-            endif !if (iso_eau.gt.0) then  
+            endif !if (iso_eau.gt.0) THEN
 #endif   
 
             if (abs(fq_fonte_neige_eff(i)-fq_fonte_neige(i)) &
-                 .gt.ridicule) then
+                 .gt.ridicule) THEN
              ! *  pour fq_fonte_neige_eff:
-             if (fq_fonte_neige_eff(i).gt.ridicule_rain) then 
-               if (fq_fonte_neige(i).gt.ridicule_rain) then 
+             if (fq_fonte_neige_eff(i).gt.ridicule_rain) THEN
+               if (fq_fonte_neige(i).gt.ridicule_rain) THEN
                 do ixt=1,niso
                   fxt_fonte_neige_eff(ixt,i)=fxt_fonte_neige(ixt,i) &
                           /fq_fonte_neige(i)*fq_fonte_neige_eff(i)
                 enddo 
-               else !if (fq_fonte_neige(i).gt.ridicule_rain) then 
-                  write(*,*) 'calcul_iso_surf_ter 723'
+               else !if (fq_fonte_neige(i).gt.ridicule_rain) THEN
+                  WRITE(*,*) 'calcul_iso_surf_ter 723'
                   stop
-               endif !if (fq_fonte_neige(i).gt.ridicule_rain) then 
-             else !if (fq_fonte_neige_eff(i).gt.ridicule_rain) then 
+               endif !if (fq_fonte_neige(i).gt.ridicule_rain) THEN
+             else !if (fq_fonte_neige_eff(i).gt.ridicule_rain) THEN
                 do ixt=1,niso
                   fxt_fonte_neige_eff(ixt,i)=0.0
                 enddo
-             endif !if (fq_fonte_neige_eff(i).gt.ridicule_rain) then 
+             endif !if (fq_fonte_neige_eff(i).gt.ridicule_rain) THEN
              runoff_tmp(i)=runoff_tmp(i) &
                  +(fq_fonte_neige(i)-fq_fonte_neige_eff(i))
@@ -14817,5 +14678,5 @@
 
 #ifdef ISOVERIF            
-            if (iso_eau.gt.0) then    
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(( &
                  fq_fonte_neige_eff(i)), &
@@ -14835,6 +14696,5 @@
 #endif    
           enddo !do i=1,knon   
-        endif   !if (ruissellement_pluie) then
-
+        endif   !if (ruissellement_pluie) THEN
         ! on ajoute les flux entrants dans le sol
         ! attention, c'est facile si qsol>=0.
@@ -14848,12 +14708,12 @@
        enddo !do i=1,knon 
        do i=1,knon
-        if (qsol_prec(i).ge.0.0) then            
+        if (qsol_prec(i).ge.0.0) THEN
           do ixt=1,niso
            xtsol_avant_evap(ixt,i)=xtsol_prec(ixt,i) &
               +xtprecip_rain_eff(ixt,i)*dtime+fxt_fonte_neige_eff(ixt,i)
           enddo !do ixt=1,niso
-        else !if (qsol_prec(i).ge.0.0) then  
+        else !if (qsol_prec(i).ge.0.0) THEN
             if (precip_rain_eff(i)*dtime+fq_fonte_neige_eff(i) &
-                 .gt.ridicule_qsol) then
+                 .gt.ridicule_qsol) THEN
               do ixt=1,niso
                xtsol_avant_evap(ixt,i)=qsol_avant_evap(i)* &
@@ -14868,5 +14728,5 @@
                 enddo !do ixt=1,niso
             endif
-        endif !if (qsol_prec(i).ge.0.0) then 
+        endif !if (qsol_prec(i).ge.0.0) THEN
        enddo !do i=1,knon  
 
@@ -14876,16 +14736,16 @@
       do ixt=1,niso
         if (iso_verif_noNaN_nostop(( &
-          xtsol_avant_evap(ixt,i)),'surf_ter 1239').eq.1) then
-          write(*,*) 'qsol_prec(i)=',qsol_prec(i)
-          write(*,*) 'xtsol_prec(ixt,i)=',xtsol_prec(ixt,i)
-          write(*,*) 'xtprecip_rain_eff(ixt,i)=', &
+          xtsol_avant_evap(ixt,i)),'surf_ter 1239').eq.1) THEN
+          WRITE(*,*) 'qsol_prec(i)=',qsol_prec(i)
+          WRITE(*,*) 'xtsol_prec(ixt,i)=',xtsol_prec(ixt,i)
+          WRITE(*,*) 'xtprecip_rain_eff(ixt,i)=', &
                 xtprecip_rain_eff(ixt,i)
-          write(*,*) 'fxt_fonte_neige_eff(ixt,i)=', &
+          WRITE(*,*) 'fxt_fonte_neige_eff(ixt,i)=', &
                 fxt_fonte_neige_eff(ixt,i)
-          write(*,*) 'precip_rain_eff(i)=',precip_rain_eff(i)
-          write(*,*) 'fq_fonte_neige_eff(i)=',fq_fonte_neige_eff(i)
-          write(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
-          write(*,*) 'xtsol_avant_evap(ixt,i)=',xtsol_avant_evap(ixt,i)
-          write(*,*) 'dtime=',dtime
+          WRITE(*,*) 'precip_rain_eff(i)=',precip_rain_eff(i)
+          WRITE(*,*) 'fq_fonte_neige_eff(i)=',fq_fonte_neige_eff(i)
+          WRITE(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
+          WRITE(*,*) 'xtsol_avant_evap(ixt,i)=',xtsol_avant_evap(ixt,i)
+          WRITE(*,*) 'dtime=',dtime
           stop
         endif
@@ -14895,13 +14755,13 @@
 #ifdef ISOVERIF
         do i=1,knon
-          if (iso_eau.gt.0) then
-!            write(*,*) 'qsol_prec=',qsol_prec(i)
-!            write(*,*) 'xtsol_prec=',xtsol_prec(iso_eau,i)
-!            write(*,*) 'precip_rain_eff=',precip_rain_eff(i)
-!            write(*,*) 'fq_fonte_neige_eff=',fq_fonte_neige_eff(i)
-!            write(*,*) 'qsol_avant_evap=',qsol_avant_evap(i)
-!            write(*,*) 'xtsol_avant_evap=',xtsol_avant_evap(iso_eau,i) 
-!            write(*,*) 'xtprecip_rain_eff=',xtprecip_rain_eff(iso_eau,i)
-!            write(*,*) 'fxt_fonte_neige_eff=',
+          if (iso_eau.gt.0) THEN
+!            WRITE(*,*) 'qsol_prec=',qsol_prec(i)
+!            WRITE(*,*) 'xtsol_prec=',xtsol_prec(iso_eau,i)
+!            WRITE(*,*) 'precip_rain_eff=',precip_rain_eff(i)
+!            WRITE(*,*) 'fq_fonte_neige_eff=',fq_fonte_neige_eff(i)
+!            WRITE(*,*) 'qsol_avant_evap=',qsol_avant_evap(i)
+!            WRITE(*,*) 'xtsol_avant_evap=',xtsol_avant_evap(iso_eau,i)
+!            WRITE(*,*) 'xtprecip_rain_eff=',xtprecip_rain_eff(iso_eau,i)
+!            WRITE(*,*) 'fxt_fonte_neige_eff=',
 !     :                   fxt_fonte_neige_eff(iso_eau,i)
             CALL iso_verif_egalite_choix( &
@@ -14910,32 +14770,32 @@
                  'calcul_iso_surf_ter 527',errmax,errmaxrel)
           endif          
-          if (iso_HDO.gt.0) then
-           if (qsol_avant_evap(i).gt.ridicule_qsol*1e2) then   
+          if (iso_HDO.gt.0) THEN
+           if (qsol_avant_evap(i).gt.ridicule_qsol*1e2) THEN
              if (iso_verif_aberrant_nostop(( &
                  xtsol_avant_evap(iso_HDO,i)/qsol_avant_evap(i)) &
-                 /faccond,'calcul_iso_surf_ter 5032').eq.1) then
-               write(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
-               write(*,*) 'ridicule_qsol=',ridicule_qsol
-               write(*,*) 'qsol_prec(i)=',qsol_prec(i)
-               write(*,*) 'precip_rain_eff(i)*dtime=', &
+                 /faccond,'calcul_iso_surf_ter 5032').eq.1) THEN
+               WRITE(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
+               WRITE(*,*) 'ridicule_qsol=',ridicule_qsol
+               WRITE(*,*) 'qsol_prec(i)=',qsol_prec(i)
+               WRITE(*,*) 'precip_rain_eff(i)*dtime=', &
                  precip_rain_eff(i)*dtime
-               write(*,*) 'fq_fonte_neige_eff(i)=',fq_fonte_neige_eff(i)
-               write(*,*) 'deltaD_sol_prec=', &
+               WRITE(*,*) 'fq_fonte_neige_eff(i)=',fq_fonte_neige_eff(i)
+               WRITE(*,*) 'deltaD_sol_prec=', &
                  deltaD(xtsol_prec(iso_HDO,i)/qsol_prec(i))
-               write(*,*) 'deltaDprecip_rain_eff=',& 
+               WRITE(*,*) 'deltaDprecip_rain_eff=',&
                  deltaD(( &
                  xtprecip_rain_eff(iso_HDO,i)/precip_rain_eff(i)))
-               write(*,*) 'deltaD_finte_neige_eff=', &
+               WRITE(*,*) 'deltaD_finte_neige_eff=', &
                  deltaD(( &
                  fxt_fonte_neige_eff(iso_HDO,i)/fq_fonte_neige_eff(i)))
-               write(*,*) 'precip_rain(i)*dtime=', &
+               WRITE(*,*) 'precip_rain(i)*dtime=', &
                  precip_rain(i)*dtime
-               write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+               WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
                stop
              endif !if (iso_verif_aberrant_nostop(
            endif ! if ( qsol_avant_evap(i).gt.ridicule_qsol)  
-          endif !if (iso_eau.gt.0) then
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-            if (qsol_avant_evap(i).gt.ridicule_qsol) then
+          endif !if (iso_eau.gt.0) THEN
+          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
               CALL iso_verif_aberrant_o17(( &
                  xtsol_avant_evap(iso_O17,i)/qsol_avant_evap(i)), &
@@ -14943,5 +14803,5 @@
                  /qsol_avant_evap(i)),'iso_surf_ter 1263')
             endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
         enddo !do i=1,knon   
 #endif
@@ -14955,5 +14815,5 @@
         ! verif du bilan du sol
 #ifdef ISOVERIF       
-!        write(*,*) 'calcul_iso_surf_ter 1200'
+!        WRITE(*,*) 'calcul_iso_surf_ter 1200'
         do i=1,knon      
             CALL iso_verif_egalite_choix(min(( &
@@ -14961,12 +14821,12 @@
                 qsol(i), &
                'calcul_iso_surf_ter 587',errmax,errmaxrel)
-           if (ruissellement_pluie.eq.1) then
+           if (ruissellement_pluie.eq.1) THEN
              if (iso_verif_positif_choix_nostop( &
                  max_eau_sol-(qsol_avant_deversement(i)), &
-                 ridicule_qsol,'calcul_iso_surf_ter 843').eq.1) then
-               write(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
-               write(*,*) 'qsol_avant_deversement(i)=', &
+                 ridicule_qsol,'calcul_iso_surf_ter 843').eq.1) THEN
+               WRITE(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
+               WRITE(*,*) 'qsol_avant_deversement(i)=', &
                  qsol_avant_deversement(i)
-               write(*,*) 'sol_evap_eff(i)*dtime=',sol_evap_eff(i)*dtime
+               WRITE(*,*) 'sol_evap_eff(i)*dtime=',sol_evap_eff(i)*dtime
                stop
              endif
@@ -14982,5 +14842,5 @@
          ! modif 2 octobre! sol_evap au lie de evap
          ! modif 5 oct: gt au lieu de ge.
-          if (sol_evap(i).gt.0.0) then
+          if (sol_evap(i).gt.0.0) THEN
            ncas_evap=ncas_evap+1
            cas_evap(ncas_evap)=i 
@@ -14988,5 +14848,5 @@
            trace_cas(i)=1
 #endif
-          else if (sol_evap(i).lt.0.0) then
+          else if (sol_evap(i).lt.0.0) THEN
            ncas_rosee=ncas_rosee+1
            cas_rosee(ncas_rosee)=i
@@ -14994,5 +14854,5 @@
            trace_cas(i)=3
 #endif           
-          else !if (sol_evap(i).gt.0.0) then
+          else !if (sol_evap(i).gt.0.0) THEN
            ncas_noevap=ncas_noevap+1
            cas_noevap(ncas_noevap)=i
@@ -15000,5 +14860,5 @@
            trace_cas(i)=2
 #endif
-          endif !if (sol_evap(i).gt.0.0) then       
+          endif !if (sol_evap(i).gt.0.0) THEN
          enddo !do i=1,knon
 
@@ -15018,20 +14878,20 @@
 #endif           
 #ifdef ISOVERIF
-!              write(*,*) 'calcul_iso_surf_ter 767: i,sol_evap=',
+!              WRITE(*,*) 'calcul_iso_surf_ter 767: i,sol_evap=',
 !     :           i,sol_evap(i)
-!              write(*,*) 'xtsol_avant_evap,qsol_avant_evap=',
+!              WRITE(*,*) 'xtsol_avant_evap,qsol_avant_evap=',
 !     :           xtsol_avant_evap(iso_eau,i),qsol_avant_evap(i) 
           if  (iso_verif_egalite_nostop(sol_evap(i), &
                (sol_evap_eff(i)), &
-                'calcul_iso_surf_ter 1100').eq.1) then
-            write(*,*) 'calcul_iso_surf_ter 543: qsol(',i,')=',qsol(i)
-            write(*,*) 'qsol_avant_evap(',i,')=',qsol_avant_evap(i)
-            write(*,*) 'sol_evap(',i,')*dtime=',sol_evap(i)*dtime
-            write(*,*) 'qsol_prec(',i,')=',qsol_prec(i)
-            write(*,*) 'precip_rain(',i,')*dtime=',precip_rain(i)*dtime
-            write(*,*) 'fq_fonte_neige(',i,')=',fq_fonte_neige(i)
+                'calcul_iso_surf_ter 1100').eq.1) THEN
+            WRITE(*,*) 'calcul_iso_surf_ter 543: qsol(',i,')=',qsol(i)
+            WRITE(*,*) 'qsol_avant_evap(',i,')=',qsol_avant_evap(i)
+            WRITE(*,*) 'sol_evap(',i,')*dtime=',sol_evap(i)*dtime
+            WRITE(*,*) 'qsol_prec(',i,')=',qsol_prec(i)
+            WRITE(*,*) 'precip_rain(',i,')*dtime=',precip_rain(i)*dtime
+            WRITE(*,*) 'fq_fonte_neige(',i,')=',fq_fonte_neige(i)
             stop
             endif 
-              if (iso_eau.gt.0) then
+              if (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(( &
                  xtsol_avant_evap(iso_eau,i)) &
